package com.qmth.teachcloud.mark.bean.scanpackage;

import javax.validation.constraints.NotNull;

import com.qmth.teachcloud.common.enums.ScanStatus;
import com.qmth.teachcloud.mark.utils.PagerQuery;

public class ScanPackageQuery extends PagerQuery {
    @NotNull(message = "考试Id不能为空")
    private Long examId;
    private String courseCode;
    private String coursePaperId;

    private ScanStatus status;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCoursePaperId() {
        return coursePaperId;
    }

    public void setCoursePaperId(String coursePaperId) {
        this.coursePaperId = coursePaperId;
    }

    public ScanStatus getStatus() {
        return status;
    }

    public void setStatus(ScanStatus status) {
        this.status = status;
    }

}
